Turns out the initial binaries for Subsurface 4.2 didn’t include one library that is necessary to download dives from the Atomics Aquatics Cobalt and Cobalt 2. I had sent one-off test binaries to a number of users who reported the issue and now I finally got around to update the official installers.

Technically this is a release of Subsurface 4.2.1 (if you look closely), but for most people there should be no reason to update. I did link this version against the latest libdivecomputer, so it adds support for a couple new dive computers (Mares Airlab, Aeris A300CS, Aeris F11, Subgear XP-3G) and fixes a few bugs for others.

No changes (and no 4.2.1) for Mac or Linux.